Workload Groups - Create Or Update
워크로드 그룹을 만들거나 업데이트합니다.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/workloadGroups/{workloadGroupName}?api-version=2023-08-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
데이터베이스의 이름입니다. |
|
resource
|
path | True |
string |
리소스를 포함하는 리소스 그룹의 이름입니다. Azure Resource Manager API 또는 포털에서 이 값을 가져올 수 있습니다. |
|
server
|
path | True |
string |
서버의 이름입니다. |
|
subscription
|
path | True |
string |
Azure 구독을 식별하는 구독 ID입니다. |
|
workload
|
path | True |
string |
워크로드 그룹의 이름입니다. |
|
api-version
|
query | True |
string |
요청에 사용할 API 버전입니다. |
요청 본문
| Name | 필수 | 형식 | Description |
|---|---|---|---|
| properties.maxResourcePercent | True |
integer (int32) |
워크로드 그룹 상한 백분율 리소스입니다. |
| properties.minResourcePercent | True |
integer (int32) |
워크로드 그룹 최소 백분율 리소스입니다. |
| properties.minResourcePercentPerRequest | True |
number (double) |
작업 그룹 요청 최소 허용 비율입니다. |
| properties.importance |
string |
워크로드 그룹 중요도 수준입니다. |
|
| properties.maxResourcePercentPerRequest |
number (double) |
워크로드 그룹 요청 최대 허용 비율입니다. |
|
| properties.queryExecutionTimeout |
integer (int32) |
워크로드 그룹 쿼리 실행 시간 제한입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
워크로드 그룹을 업데이트했습니다. |
|
| 201 Created |
워크로드 그룹을 만들었습니다. |
|
| 202 Accepted |
허용된 워크로드 그룹을 만들거나 업데이트합니다. 헤더 Location: string |
|
| Other Status Codes |
오류 응답: ***
|
예제
| Create a workload group with all properties specified. |
| Create a workload group with the required properties specified. |
Create a workload group with all properties specified.
샘플 요청
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc?api-version=2023-08-01
{
"properties": {
"minResourcePercent": 0,
"maxResourcePercent": 100,
"minResourcePercentPerRequest": 3,
"maxResourcePercentPerRequest": 3,
"importance": "normal",
"queryExecutionTimeout": 0
}
}
샘플 응답
{
"properties": {
"minResourcePercent": 0,
"maxResourcePercent": 100,
"minResourcePercentPerRequest": 3,
"maxResourcePercentPerRequest": 3,
"importance": "normal",
"queryExecutionTimeout": 0
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
"name": "smallrc",
"type": "Microsoft.Sql/servers/databases/workloadGroups"
}
{
"properties": {
"minResourcePercent": 0,
"maxResourcePercent": 100,
"minResourcePercentPerRequest": 3,
"maxResourcePercentPerRequest": 3,
"importance": "normal",
"queryExecutionTimeout": 0
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
"name": "smallrc",
"type": "Microsoft.Sql/servers/databases/workloadGroups"
}
Create a workload group with the required properties specified.
샘플 요청
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc?api-version=2023-08-01
{
"properties": {
"minResourcePercent": 0,
"maxResourcePercent": 100,
"minResourcePercentPerRequest": 3
}
}
샘플 응답
{
"properties": {
"minResourcePercent": 0,
"maxResourcePercent": 100,
"minResourcePercentPerRequest": 3,
"maxResourcePercentPerRequest": 3,
"importance": "normal",
"queryExecutionTimeout": 0
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
"name": "smallrc",
"type": "Microsoft.Sql/servers/databases/workloadGroups"
}
{
"properties": {
"minResourcePercent": 0,
"maxResourcePercent": 100,
"minResourcePercentPerRequest": 3,
"maxResourcePercentPerRequest": 3,
"importance": "normal",
"queryExecutionTimeout": 0
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/workloadGroups/smallrc",
"name": "smallrc",
"type": "Microsoft.Sql/servers/databases/workloadGroups"
}
정의
| Name | Description |
|---|---|
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
Workload |
데이터 웨어하우스에 대한 워크로드 그룹 작업 |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
WorkloadGroup
데이터 웨어하우스에 대한 워크로드 그룹 작업
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스 ID입니다. |
| name |
string |
리소스 이름입니다. |
| properties.importance |
string |
워크로드 그룹 중요도 수준입니다. |
| properties.maxResourcePercent |
integer (int32) |
워크로드 그룹 상한 백분율 리소스입니다. |
| properties.maxResourcePercentPerRequest |
number (double) |
워크로드 그룹 요청 최대 허용 비율입니다. |
| properties.minResourcePercent |
integer (int32) |
워크로드 그룹 최소 백분율 리소스입니다. |
| properties.minResourcePercentPerRequest |
number (double) |
작업 그룹 요청 최소 허용 비율입니다. |
| properties.queryExecutionTimeout |
integer (int32) |
워크로드 그룹 쿼리 실행 시간 제한입니다. |
| type |
string |
리소스 종류입니다. |